# Based on the iTerm2 Bash integration script

if [[ $OSTYPE != darwin* ]]; then
  return 0
fi

iterm2_write() {
  local cmd=$1 fmt=$2
  shift 2
  printf "\033]1337;%s=$fmt\007" "$cmd" "$@"
}

iterm2_write_state() {
  iterm2_write RemoteHost %s@%s "$USER" "$iterm2_hostname"
  iterm2_write CurrentDir %s "$PWD"
}

iterm2_prompt_command() {
  iterm2_write_state
}

ITERM_SHELL_INTEGRATION_INSTALLED=Yes
ITERM_PREV_PS1=$PS1
iterm2_hostname=${HOSTNAME-"$(hostname -f 2>/dev/null)"}
PROMPT_COMMAND+=(iterm2_prompt_command)
